<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<link
			href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css"
			rel="stylesheet"
		/>
		<link rel="preconnect" href="https://fonts.gstatic.com" />
		<link
			href="https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&display=swap"
			rel="stylesheet"
		/>
		<link rel="icon" href="favicon.ico" type="image/x-icon" />
		<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
		<link
			rel="stylesheet"
			href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css"
		/>
		<link rel="stylesheet" href="/css/app.css" />
		<title>Pizzaworks</title>
	</head>
	<body>
		<!-- navbar  -->
		<nav class="container mx-auto flex items-center justify-between py-4">
			<div>
				<a href="/">
					<img src="/img/logo.png" alt="logo" />
				</a>
			</div>
			<div>
				<ul class="flex items-center">
					<li class="ml-6"><a href="/">Menu</a></li>
					<li class="ml-6"><a href="/customer/orders">Orders</a></li>

					<% if(user) { %>
					<li class="ml-6">
						<form id="logout" action="/logout" method="POST">
							<a
								onclick="document.getElementById('logout').submit()"
								href="#"
							>
								Logout
							</a>
						</form>
					</li>
					<% } else { %>
					<li class="ml-6"><a href="/register">Register</a></li>
					<li class="ml-6"><a href="/login">Login</a></li>
					<% } %>
					<li class="ml-6">
						<a
							href="/cart"
							class="inline-block px-4 py-2 rounded-full flex items-center"
						>
							<span id="cartCounter" class="text-white font-bold pr-2"
								><%= session.cart ? session.cart.totalQty : '' %></span
							>
							<img src="/img/cart.png" alt="cart"
						/></a>
					</li>
				</ul>
			</div>
		</nav>

		<%- body %>
		<script src="/socket.io/socket.io.js"></script>
		<script src="/js/app.js"></script>
	</body>
</html>
